/* Copyright 2005 - 2007 Spring Layout Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.springlayout.web.controller;


/**
 * Provides an exception to report that a supplied method name could not be found in the current class.
 * @author Rob Monie
 * 
*/
public class NoSuchControllerMethodException extends RuntimeException {
    
    
   private static final long serialVersionUID = 1747237324634530771L;

   /**
    * Throw exception with appropriate message based on controller class and the name
    * of the method call that was attempted.
    * @param name
    * @param controllerClass
    */
   public NoSuchControllerMethodException(String name, Class controllerClass) {
      super("No public method in controller with name '" + name + "' in class '" + controllerClass.getName() + "'");
   }
   
   

}
