/* Copyright 2005 - 2007 Spring Layout Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.springlayout.web.controller.propertyeditor;


import java.beans.PropertyEditorSupport;

import org.apache.commons.lang.WordUtils;


/**
 * A generic property editor to Title Case a String. 
 * @author Jonathan Ricketson
 * 
 */
public class TitleCaseStringPropertyEditor extends PropertyEditorSupport
{

    /**
     */
    public TitleCaseStringPropertyEditor() {
    }


    /**
     * Format the String, using <code>WordUtils.capitalizeFully</code>.
     */
    public String getAsText() {
        String value = (String) getValue();
        
        return (value != null ? WordUtils.capitalizeFully(value) : "");
    }

    
    public void setAsText(String text) throws IllegalArgumentException {
          setValue(text);
    }
}
