/* Copyright 2005 - 2007 Spring Layout Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.springlayout.web.layout;

import javax.servlet.http.HttpServletRequest;

/**
 * Manager for a panel tab for showing it as always disabled. Useful for tabs
 * without any functionality (Ie - a future release)
 * 
 * @author tomlinm
 * 
 */
public class AlwaysDisabledPanelTabStateManager implements PanelFormTabStateManager
{

   /**
    * This implementation of the PanelFormTabStateManager returns true always to
    * ensure the panel remains disabled
    * 
    * @see net.sf.springlayout.web.layout.PanelFormTabStateManager#isDisabled(javax.servlet.http.HttpServletRequest)
    */
   public boolean isDisabled(HttpServletRequest request)
   {
      return true;
   }

}
