/* Copyright 2005 - 2007 Spring Layout Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.springlayout.web.layout.taglib.renderer;

import java.io.IOException;
import java.io.Writer;

import javax.servlet.http.HttpServletRequest;

import net.sf.springlayout.web.layout.PanelForm;
import net.sf.springlayout.web.layout.PanelFormGroup;

import org.springframework.validation.Errors;
import org.springframework.web.bind.ServletRequestBindingException;


/**
 * Provides rendering logic for  the footer of a <code>MultiPanelFormTag</code>
 * @author monier
 *
 */
public interface PanelFooterRenderer
{
   
   /**
    * Render the for for  a <code>MultiPanelFormTag</code>
    * @param request the current request
    * @param panelFormGroup the panel group to render tabs for
    * @param currentPanel the current panel
    * @param errors the current page errors
    * @param writer the jsp writer
    */
   public void renderFooter(HttpServletRequest request, PanelFormGroup panelFormGroup, PanelForm currentPanel, Errors errors, Writer writer)  throws IOException, ServletRequestBindingException;

}
