/* Copyright 2005 - 2007 Spring Layout Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.springlayout.web.message;

import java.util.ArrayList;
import java.util.List;

/**
 * Holds messages to be displayed to the user.
 * @author Rob Monie
 *
 */
public class Messages
{

   private String title;
   private List messages;
   
   public Messages()
   {
      this.messages = new ArrayList();
   }
   
   /**
    * @return
    */
   public List getMessages()
   {
      return messages;
   }
   
   /**
    * @param messages
    */
   public void setMessages(List messages)
   {
      this.messages = messages;
   }
   
   /**
    * @return
    */
   public String getTitle()
   {
      return title;
   }
   
   /**
    * @param title
    */
   public void setTitle(String title)
   {
      this.title = title;
   }
   
   /**
    * @return number of messages
    */
   public Integer getSize()
   {
      return new Integer(this.messages.size());
   }
   
   /**
    * Add a message.
    * @param message
    */
   public void addMessage(String message)
   {
      this.messages.add(message);
   }
}
