/* Copyright 2005 - 2007 Spring Layout Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.springlayout.web.security;

import org.springframework.core.NestedRuntimeException;

/**
 * Runtime extension thrown when access is denied to a resource
 * @author monier
 *
 */
public class AccessDeniedException extends NestedRuntimeException
{
   private static final long serialVersionUID = -5628199347459707011L;

   /**
    * Constructs an <code>AccessDeniedException</code> with the specified
    * message.
    * 
    * @param msg
    *           the detail message
    */
   public AccessDeniedException(String msg)
   {
      super(msg);
   }

   /**
    * Constructs an <code>AccessDeniedException</code> with the specified
    * message and root cause.
    * 
    * @param msg
    *           the detail message
    * @param t
    *           root cause
    */
   public AccessDeniedException(String msg, Throwable t)
   {
      super(msg, t);
   }
}
