/* Copyright 2005 - 2007 Spring Layout Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.springlayout.web.security;

/**
 * Typesafe Enumeration for representing Access Levels for security purposes
 * @author Rob Monie
 * 
*/
public class AccessLevel
{

   public static final AccessLevel NO_ACCESS = new AccessLevel(0);
   public static final AccessLevel READ_ACCESS = new AccessLevel(1);
   public static final AccessLevel EDIT_ACCESS = new AccessLevel(2);
   
   private int accessLevel;
   
   /**
    * Default private contructor
    * @param accessLevel
    */
   private AccessLevel(int accessLevel)
   {
      this.accessLevel = accessLevel;
   }
   
   /* (non-Javadoc)
    * @see java.lang.Object#toString()
    */
   public String toString()
   {
      return String.valueOf(accessLevel);
   }
   
}
