/* Copyright 2005 - 2007 Spring Layout Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.springlayout.web.validator.condition;

import java.util.Iterator;

import org.springframework.beans.BeanWrapper;


/**
 * @author Jon, Adam Boas
 *
 */
public class AndCondition extends AbstractBooleanCondition
{
   private static final long serialVersionUID = 4821002805906349405L;


   public AndCondition()
   {
      operator = "&&";
   }
   
   /* (non-Javadoc)
    * @see net.sf.springlayout.web.validator.condition.Condition#evaluate(org.springframework.beans.BeanWrapper)
    */
   public boolean evaluate(String fieldId, BeanWrapper wrappedObject)
   {
      for (Iterator iter = conditionList.iterator();iter.hasNext();)
      {
         Condition condition = (Condition) iter.next();
         if (! condition.evaluate(fieldId, wrappedObject))
            return false;
      }
      return true;
   }

   
}
