/* Copyright 2005 - 2007 Spring Layout Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.springlayout.web.validator.condition;

import net.sf.springlayout.web.layout.OnPageFieldInstance;

import org.springframework.beans.BeanWrapper;


/**
 * @author Adam Boas
 * Created on 30/05/2006
 */

public interface Condition
{

   /**
    * @param wrappedObject
    * @return
    */
   public boolean evaluate(String fieldId, BeanWrapper wrappedObject);

   /**
    * @param actualPath of the control which needs javascript rendered.
    * @return a javascript representation of this condition
    */
   public String getJavascript(OnPageFieldInstance instance, Object command, String formName);
      
   
   /**
    * This is called by the form which contains this condition in it's afterPropertiesSet method
    * although it has the same name as the Spring InitializingBean interface method it will not
    * be called by the IoC container.
    * if this is not a valid executable condition throws an Exception
    * 
    * @return boolean
    * @throws LayoutFormConfigurationException
    */
   public void afterPropertiesSet();

   public String getPostProcessingJavascript(OnPageFieldInstance instance, String formName);
   
   
}