/* Copyright 2005 - 2007 Spring Layout Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.springlayout.web.validator.condition;


/**
 * Common interface for all evaluators.
 * @author Adam Boas
 * Created on 18/05/2006
 */
public interface Evaluator
{
   
   /**
    * Evaluates the value contained in the wrapper against the value supplied
    * using the condition the concrete type of this evaluator supports.
    * @param wrapper
    * @param value
    * @return
    */
   public boolean evaluate(Object target, Object value);
}
