/* Copyright 2005 - 2007 Spring Layout Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.springlayout.web.validator.condition;

import java.math.BigDecimal;

/**
 * @author Adam Boas
 * Created on 18/05/2006
 */
public class NotEqualsEvaluator implements Evaluator
{

   /* (non-Javadoc)
    * @see net.sf.springlayout.web.validator.condition.Evaluator#evaluate(java.lang.Object, java.lang.Object)
    */
   public boolean evaluate(Object target, Object value)
   {
      try
      {
//       TODO -AB to rethink this
         BigDecimal targetNumber = new BigDecimal(target.toString());
         BigDecimal valueNumber = new BigDecimal(value.toString());
         return ! targetNumber.equals(valueNumber);
      }
      catch(NumberFormatException nfe)
      {
         //this could easily happen, if not a number then evaluate equals as objects.
      }
      return ! value.equals(target.toString());
   }

}
